<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title> Keithley2001 Tango Class User&lsquo;s Guide </title>
</head>
<body text="Black" bgcolor="White" link="Blue" vlink="Purple" alink="Red">
<hr>
<br>
<center><h2><u><b> Keithley2001 Tango Cpp Class </b></u></h2></center>	<br><br>
	<ul>
		<font size="+1"><u><b> Contents : </b></u></font>
		<ul>
			<li> <a href="FullDocument.html#description">  Description  </a>
			<li> <a href="FullDocument.html#properties">   Properties   </a>
			<li> <a href="FullDocument.html#commands">     Commands     </a>
			<ul>
				<li> <a href="FullDocument.html#cmdState"> State </a>
				<li> <a href="FullDocument.html#cmdStatus"> Status </a>
				<li> <a href="FullDocument.html#cmdSaveConfig"> SaveConfig </a>
				<li> <a href="FullDocument.html#cmdRestoreConfig"> RestoreConfig </a>
			</ul>
			<li> <a href="FullDocument.html#attributes">   Attributes   </a>
			<ul>
				<li> <a href="FullDocument.html#attrtemperature"> temperature </a>
			</ul>
			<li> <a href="FullDocument.html#states">       States       </a>
		</ul>
	</ul>
	<hr>
<br><br>
<a name="description"> </a>
<ul>
	<br><br><br>
	<table border="0" width="100%">
		<Tr>
			<td> <font size="+1"><u><b> Keithley2001 Class Identification : </b></u></font> </td>
			<td> <font size="+1"><u><b> Keithley2001 Class Inheritance : </b></u></font> </td>
		</tr>
		<td><ul>
			<table border="0">
				<Tr>
					<td> Contact </td><td> : at synchrotron-soleil.fr - xavier.elattaoui</td>
				</tr>
				<tr>
					<td> Class Family </td><td> : MeasureInstruments
				</tr>
				<tr>
					<td> Platform </td><td> : All Platforms </td>
				</tr>
				<tr>
					<td> Bus </td><td> : GPIB </td>
				</tr>
				<tr>
					<td> Manufacturer </td><td> : Keithley </td>
				</tr>
				<tr>
					<td> Manufacturer ref.</td><td> : 2001 </td>
				</tr>
			</Table>
		</ul></td>
		<td>
			<ul><li> <a href="http://www.esrf.fr/computing/cs/tango/tango_doc/kernel_doc/cpp_doc/" target="new"> Tango::DeviceImpl</a></li>
			<ul> <li> Keithley2001</li>
			<br>
			<br>
			<br>
			<br>
			<br>
		</td>
	</Table>
	<br><br><br>
	<font size="+1"><u><b> Keithley2001 Class Description : </b></u></font>
	<br><br>
	<ul>
		Class to monitor the temperature from a Keithley2001
		
		<!---  /*PROTECTED REGION ID(FullDocument.html) ENABLED START*/  --->
			<!--- Add your own documentation, pictures, links,.... --->
			
		<!---  /*PROTECTED REGION END*/  --->
		
	</ul>
</ul>
<br><br>
<hr>
<a name="properties"> </a>
<br><br><br>
<font size="+1"><u><b> Keithley2001  Properties : </b></u></font>
<br><br><br>
<font size="+1"><u><b> There is no class properties </b></u></font>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=4> <font size=+1> <center><b> Device Properties </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
		<td> <center><b> Type </b></center> </td>
		<td> <center><b> Default Value </b></center> </td>
	</tr>
	<tr>
		<td> CommunicationLink </td>
		<td> Device which handles the communication protocol (here GPIB) </td>
		<td> String </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Configuration </td>
		<td> List of commands to configure the Keithley </td>
		<td> String[] </td>
		<td> none </td>
	</tr>
</table>
<br><br>
<hr>
<a name="commands"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=5> <font size=+1> <center><b> Keithley2001 Class Commands </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Input type </b></center> </td>
		<td> <center><b> Output type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="CmdState.html"> State </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STATE </td>
		<td> OPERATOR </td>
		<td> This command gets the device state (stored in its device_state data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdStatus.html"> Status </a> </td>
		<td> DEV_VOID </td>
		<td> CONST_DEV_STRING </td>
		<td> OPERATOR </td>
		<td> This command gets the device status (stored in its device_status data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdSaveConfig.html"> SaveConfig </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> EXPERT </td>
		<td> This command saves the current Keithley configuration in an available memory slot. <Br><Br>
			- No extended memory : slot 0 only                     <Br><Br>
			- Model 2001-MEME1 : from 0 to 4                     <Br><Br>
			- Model 2001-MEME2 : from 0 to 9                     <Br><Br>
			<Br><Br>
			NOTE : the current model has no extended memory (only slot0 is available). </td>
	</tr>
	<tr>
		<td> <a href="CmdRestoreConfig.html"> RestoreConfig </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> EXPERT </td>
		<td> This command restores the previously saved Keithley configuration from an available memory slot. <Br><Br>
			- No extended memory : slot 0 only                     <Br><Br>
			- Model 2001-MEME1 : from 0 to 4                     <Br><Br>
			- Model 2001-MEME2 : from 0 to 9                     <Br><Br>
			<Br><Br>
			NOTE : the current model has no extended memory (only slot0 is available). </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdState"> </a>
<br><br><br>
<font size="+1"><u><b> Command State : </b></u></font>
<ul>
	This command gets the device state (stored in its device_state data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> State Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STATE </td>
		<td> Device state </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStatus"> </a>
<br><br><br>
<font size="+1"><u><b> Command Status : </b></u></font>
<ul>
	This command gets the device status (stored in its device_status data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Status Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::CONST_DEV_STRING </td>
		<td> Device status </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdSaveConfig"> </a>
<br><br><br>
<font size="+1"><u><b> Command SaveConfig : </b></u></font>
<ul>
	This command saves the current Keithley configuration in an available memory slot. <Br><Br>
	- No extended memory : slot 0 only                     <Br><Br>
	- Model 2001-MEME1 : from 0 to 4                     <Br><Br>
	- Model 2001-MEME2 : from 0 to 9                     <Br><Br>
	<Br><Br>
	NOTE : the current model has no extended memory (only slot0 is available).
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> SaveConfig Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> EXPERT </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdRestoreConfig"> </a>
<br><br><br>
<font size="+1"><u><b> Command RestoreConfig : </b></u></font>
<ul>
	This command restores the previously saved Keithley configuration from an available memory slot. <Br><Br>
	- No extended memory : slot 0 only                     <Br><Br>
	- Model 2001-MEME1 : from 0 to 4                     <Br><Br>
	- Model 2001-MEME2 : from 0 to 9                     <Br><Br>
	<Br><Br>
	NOTE : the current model has no extended memory (only slot0 is available).
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> RestoreConfig Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> EXPERT </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br>
<hr>
<a name="attributes"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=8> <font size=+1> <center><b> Keithley2001 Class Attributes </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Inherited </b></center> </td>
		<td> <center><b> Abstract </b></center> </td>
		<td> <center><b> Attr. type </b></center> </td>
		<td> <center><b> R/W type </b></center> </td>
		<td> <center><b> Data type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="Attrtemperature.html"> temperature </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> The measured temperature value in degre Celsius </td>
	</tr>
</table>
<br><br>
<hr>
<br><br>
<font size="+1"><u><b> There is no dynamic attribute defined. </b></u></font>
<br><br>
<hr>
<a name="attrtemperature"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute temperature : </b></u></font>
<ul>
	The measured temperature value in degre Celsius
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_DOUBLE </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> temperature </td>
				</tr>
				<tr>
					<td> unit </td>
					<td> °C </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td> °C </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td> °C </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %6.4f </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<br><br>
<hr>
<a name="states"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=2> <font size=+1> <center><b> Keithley2001 Class States </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> ON </td>
		<td> Device is up and running </td>
	</tr>
	<tr>
		<td> OFF </td>
		<td> Communication link state is OFF </td>
	</tr>
	<tr>
		<td> ALARM </td>
		<td> An error occurs </td>
	</tr>
	<tr>
		<td> FAULT </td>
		<td> Device initialization failed </td>
	</tr>
</table>
</body>
</html>
